angular.module('history.controller', [])

.controller('HistoryCtrl', ['$scope', '$stateParams', '$ionicHistory', 'load', '$timeout', function($scope, $stateParams, $ionicHistory, load, $timeout) {
    $scope.viewShowState = false;
    $scope.net_error_statue = false;
    $scope.title = "历史详细";
    $scope.dc = window.eval('(' + $stateParams.param + ')');;

    $scope.param =window.eval('(' + $scope.dc.dic + ')') ;
    $scope.back = function() {
        $ionicHistory.goBack(-1);
    };
    $scope.historyList = {
        processName: $scope.dc.historyStage,
        detailList: []
    };
    
    $scope.linkto = function() {
        navigator.intent.magazineRedOnline({ "file": $scope.param.url, "type": 1 });
    };
    $scope.readOnline = function(url) {
        navigator.intent.magazineRedOnline({ "file": url, "type": 0 });
    };
    $scope.loadData = function() {
        if ($scope.param.status == "rejected") {
            var rejectReson = {
                title: "拒审原因",
                value: $scope.param.RejectReasonShow.rejectReson,
                type: "0",
                url: ""
            };
            var recommendation = {
                title: "2",
                value: "",
                type: "0",
                url: ""
            };
            var recommenderName = {
                title: "姓名",
                value: $scope.param.RejectReasonShow.recommenderName,
                type: "0",
                url: ""
            };
            var recommenderUnit = {
                title: "单位",
                value: $scope.param.RejectReasonShow.recommenderUnit,
                type: "0",
                url: ""
            };
            var recommenderTel = {
                title: "电话",
                value: $scope.param.RejectReasonShow.recommenderTel,
                type: "0",
                url: ""
            };
            var recommenderEmail = {
                title: "邮箱",
                value: $scope.param.RejectReasonShow.recommenderEmail,
                type: "0",
                url: ""
            };
            var recommenderEmail = {
                title: "备注",
                value: $scope.param.RejectReasonShow.recommenderEmail,
                type: "0",
                url: ""
            };
            $scope.historyList.detailList.push(rejectReson);
            $scope.historyList.detailList.push(recommendation);
            $scope.historyList.detailList.push(recommenderName);
            $scope.historyList.detailList.push(recommenderUnit);
            $scope.historyList.detailList.push(recommenderTel);
            $scope.historyList.detailList.push(recommenderEmail);
        } else {
            //window.alert(navigator.intent);
            load.show("正在加载中...");
            //$timeout(function() {
            var loop = function() {
                $timeout(function() {
                    if (navigator.intent) {
                        navigator.intent.historyDetail(function(json) {
                            /* body... */
                            load.hide();
                            $scope.viewShowState = true;
                            $scope.pg = window.eval('(' + json + ')');
                            $scope.history = window.eval('(' + json + ')').pageview;
                            //$scope.data.pageView = [];
                            angular.forEach($scope.history, function(data, index, array) {
                                angular.forEach(data, function(item, temp, olddata) {
                                    var obj = {
                                        title: "",
                                        value: "",
                                        type: "0",
                                        url: ""
                                    };
                                    if (item.saveTable == 'PeerRemarkRec') {
                                        if (item.fieldname == "detailContent") {
                                            obj.title =item.displayname;
                                            var str = item.realValue;
 
                                            var arrEntities={'lt':'<','gt':'>','nbsp':' ','amp':'&','quot':'"'};
                                            str =  str.replace(/&(lt|gt|nbsp|amp|quot);/ig,function(all,t){return arrEntities[t];});
                                           
                                            obj.value= str.replace(/<[^<>]+?>/g,'');
                                            $scope.historyList.detailList.push(obj);
                                        }

                                        if (item.fieldname == "UploadFile") {
                                            angular.forEach($scope.pg.UploadFileList, function(item_, item_n, old_item) {
                                                var obj1 = {
                                                        title: item_.fileName,
                                                        value: "查看",
                                                        type: "1",
                                                        url: item_.url
                                                };
                                                $scope.historyList.detailList.push(obj1);
                                            });
                                            /*var fileL = item.realValue.split(")");
                                            $scope.obj0 = {};
                                            angular.forEach(olddata, function(item_, item_n, old_item) {
                                                if (item_.fieldname == "fileType") {
                                                    var idL = item_.refValue.split("|");
                                                    var nameL = item_.displayNames.split("|");
                                                    angular.forEach(idL, function(idStr, n, old) {

                                                        $scope.obj0[idStr] = nameL[n];


                                                    });

                                                }
                                            });
                                            // obj.title = idL;
                                            //  type: "1",
                                            //   $scope.obj[idStr]=nameL[n];
                                            angular.forEach(fileL, function(item_1, n_1, old_1) {
                                                if (item_1 != "") {
                                                    var obj1 = {
                                                        title: "",
                                                        value: "下载",
                                                        type: "1",
                                                        url: ""
                                                    };
                                                    item_1 = item_1.replace("(", '');
                                                    var fileType = item_1.split("|")[0];
                                                    var fileId = item_1.split("|")[1];
                                                    obj1.url = "/download2.aspx?downID=" + fileId;
                                                    obj1.title = $scope.obj0[fileType];
                                                    $scope.historyList.detailList.push(obj1);
                                                }



                                            });*/

                                        }
                                    }
                                    if (item.saveTable == 'SingleFormRec') {

                                        if (item.fieldname == "singleFormID") {
                                            var refValue = item.refValue.split("|");
                                            var displayNames = item.displayNames.split("|");
                                            angular.forEach(refValue, function(id, i, old) {
                                                if (item.realValue == id) {
                                                    obj.value = displayNames[i];
                                                }
                                            });
                                            obj.title = "处理结果";

                                            $scope.historyList.detailList.push(obj);
                                        }
                                    }
                                    if (item.saveTable == 'CompositionRec') {

                                        if (item.fieldname == "year") {
                                            obj.title = "出版年";
                                            obj.value = JSON.parse($scope.pg.CompositionName).year;
                                            $scope.historyList.detailList.push(obj);
                                        } else if (item.fieldname == "issue") {
                                            obj.title = "出版期";
                                            obj.value = JSON.parse($scope.pg.CompositionName).issue;
                                            $scope.historyList.detailList.push(obj);
                                        } else if (item.fieldname == "col") {
                                            obj.title = "出版栏目";
                                            obj.value = JSON.parse($scope.pg.CompositionName).column;
                                             $scope.historyList.detailList.push(obj);
                                        }
                                    }
                                    if (item.saveTable == 'SelectedManRec') {
                                        if (item.fieldname == "selectMan") {
                                            obj.title = item.displayname;
                                            //obj.value = item.realValue;
                                            var idL = item.realValue.split("|");
                                            angular.forEach(idL, function(id, i, old) {
                                                obj.value = obj.value + JSON.parse($scope.pg.SelectedManName)[id]+",";
                                            });
                                            $scope.historyList.detailList.push(obj);
                                            
                                        }

                                    }
                                    //
                                    if (item.saveTable == 'PlanColumnRec') {
                                        //if (item.fieldname == "formID") {
                                            obj.title = item.displayname;
                                            obj.value = $scope.pg.PlanColumnName;
                                           
                                            $scope.historyList.detailList.push(obj);
                                        //}
                                    }
                                    if (item.saveTable == 'PeerFormRec') {
                                        if (item.fieldname == "formID") {
                                            obj.title = "评审专家意见";
                                            obj.value = "查看";
                                            obj.type = "2";
                                            $scope.historyList.detailList.push(obj);
                                        }
                                    }
                                    if (item.saveTable == 'PeerFormUseWordRec') {
                                        if (item.fieldname == "fileID") {
                                            obj.title = "评审专家意见";
                                            obj.value = "查看";
                                            obj.type = "2";
                                            $scope.historyList.detailList.push(obj);
                                        }
                                    }
                                });
                            });


                        }, function(errorMsg) {
                            load.hide();
                            $scope.viewShowState = false;
                            $scope.net_error_statue = true;
                        }, { "url": $scope.dc.dic });
                    } else {
                        loop();

                        //load.hide();
                    }


                }, 500);
            };
            loop();
            //}, 2000);
        }
    };
    $scope.loadData();

}]);
