/**
 * Created by zhoupan on 2015/9/14.
 */
angular.module('author.controller', [])

.controller('AuthorCtrl', ['$scope', '$stateParams', '$ionicHistory', 'load', '$timeout', function($scope, $stateParams, $ionicHistory, load, $timeout) {
        $scope.viewShowState = false;
        $scope.net_error_statue = false;
        $scope.title = "作者详细";
        $scope.authorId = $stateParams.authorId;;
        $scope.authorList;
        $scope.back = function() {
            $ionicHistory.goBack(-2);
        };
        $scope.loadData = function() {
            //window.alert(navigator.intent);
            load.show("正在加载中...");
            //$timeout(function() {
            var loop = function() {
                $timeout(function() {
                    if (navigator.intent) {
                        navigator.intent.authorDetail(function(json) {
                            /* body... */
                            load.hide();
                            $scope.viewShowState = true;
                            $scope.authorList = window.eval('(' + json + ')').authorList;
                            //$scope.data.pageView = [];


                        }, function(errorMsg) {
                            load.hide();
                            $scope.viewShowState = false;
                            $scope.net_error_statue = true;
                        }, { "authorId": $scope.authorId });
                    } else {
                        loop();

                        //load.hide();
                    }


                }, 500);
            };
            loop();
            //}, 2000);

        };
        $scope.loadData();

    }])
    .controller('MagazineInfotrl', function($scope, $state, $stateParams, $ionicHistory) {
        $scope.title = "稿件详情";
        $scope.data = $stateParams.magazineid;
        $scope.back = function() {
            $ionicHistory.goBack(-2);
        };
    })
    .controller('FileCtrl', function($scope, $state, $stateParams, $ionicHistory) {
        $scope.title = "稿件详情";
        $scope.fileList = window.eval('(' + $stateParams.fileList + ')').list;
        $scope.type = window.eval('(' + $stateParams.fileList + ')').type;
        /*        $scope.fileList = [
                                {"fileName":"121313432.text","url":""},
                                {"fileName":"修改稿.word","url":""},
                                {"fileName":"修改稿.word","url":""},
                                {"fileName":"修改稿.word","url":""},
                                {"fileName":"修改稿.word","url":""},
                                {"fileName":"修改稿.word","url":""},
                                {"fileName":"修改稿.word","url":""},
                                {"fileName":"修改稿.word","url":""},
                                {"fileName":"修改稿.word","url":""}
                             ]; */
        $scope.back = function() {
            $ionicHistory.goBack(-2);
        };
        $scope.goFileList = function(index) {

            //window.alert(str);


            /*$state.go('fileRead-online', { file: str });*/
            if (navigator.intent) {
                //var str = JSON.stringify({ name: $scope.fileList[index].fileName, url: $scope.fileList[index].url });
                navigator.intent.magazineReadDownload({ "file": $scope.fileList[index].url, "fileType": $scope.fileList[index].fileExtension, "fileName": $scope.type + "" + index });
            }

        };
    })
    .controller('FileOnlineCtrl', function($scope, $state, $stateParams, $ionicHistory, $sce) {

        $scope.file = window.eval('(' + $stateParams.file + ')');;

        $scope.targetUrl = $sce.trustAsResourceUrl($scope.file.url);
        $scope.back = function() {
            $ionicHistory.goBack(-1);
        };
        $scope.doRefresh = function() {
            // console.log("ok");

            $timeout(function() {

                $scope.$broadcast('scroll.refreshComplete');
            }, 200);
        };
        //$scope.doRefresh ();      
        //iframe.readyState === "complete" || iframe.readyState == "loaded"
        var iframe = document.getElementById('ifrm');
        var emptyImg = document.getElementById('emptyImg');

        if (iframe.attachEvent) {
            iframe.attachEvent("onreadystatechange", function() {
                //此事件在内容没有被载入时候也会被触发，所以我们要判断状态
                //有时候会比较怪异 readyState状态会跳过 complete 所以我们loaded状态也要判断
                if (iframe.readyState === "complete" || iframe.readyState == "loaded") {
                    //代码能执行到这里说明已经载入成功完毕了
                    //要清除掉事件
                    iframe.detachEvent("onreadystatechange", arguments.callee);
                    //这里是回调函数
                }
            });
        } else {
            iframe.addEventListener("load", function() {
                //代码能执行到这里说明已经载入成功完毕了
                this.removeEventListener("load", arguments.call, false);
                emptyImg.style.cssText = "display:none";
                this.style.cssText = "display:''";

                //这里是回调函数
            }, false);
        }
    })
    /* .controller('UploadImageCtrl', function($scope, $state, $stateParams, $ionicHistory, $sce) {

         $scope.data = window.eval('(' + $stateParams.data + ')');;
         //window.alert(data);
         $scope.back = function() {
             $ionicHistory.goBack(-1);
         };
        
     })*/
    .controller('HistoryListCtrl', function($scope, $state, $stateParams, $ionicHistory) {
        // $scope.title = "稿件详情";
        $scope.editProcess = window.eval('(' + $stateParams.param + ')');;


        $scope.targetSelect = 990;
        $scope.onAdviceShow = function(id) {

            if ($scope.editProcess[id].Process.length == 1) {

                var obj = window.eval('(' + $scope.editProcess[id].Process[0].processDetail + ')');

                var str = JSON.stringify({ dic: $scope.editProcess[id].Process[0].processDetail, historyStage: $scope.editProcess[id].historyStage });
                //navigator.intent.magazineRedOnline({ "file": str, "type": 1 });
                //window.alert(str);
                if (obj.status == "completed") {
                    //var str = JSON.stringify(obj);

                    $state.go('history-detail', { param: str });
                    $scope.closeModal();
                } else if (obj.status == "rejected") {
                    // var str = JSON.stringify({ type: 'rejected', url: url });

                    $state.go('history-detail', { param: str });
                    $scope.closeModal();
                } else {
                    if (navigator.intent) {
                        //var str = JSON.stringify({ name: '稿件原文', url: $scope.data.article.fileList.magazineTextUrl });          
                        navigator.intent.magazineRedOnline({ "file": obj.url, "type": 1 });
                    }
                }
            } else {
                if (id == $scope.targetSelect) {
                    $scope.targetSelect = 9999;
                } else {
                    $scope.targetSelect = id;
                    $ionicScrollDelegate.resize();
                }
            }
        };
        $scope.paperDetail = function(param, historyStage) {

            var obj = window.eval('(' + param + ')');
            var str = JSON.stringify({ dic: param, historyStage: historyStage });
            //window.alert(str);
            if (obj.status == "completed") {
                // var str = JSON.stringify({ type: 'completed', url: url });

                $state.go('history-detail', { param: str });
                
            } else if (obj.status == "rejected") {
                // var str = JSON.stringify({ type: 'rejected', url: url });
                $state.go('history-detail', { param: str });
                
            } else {

                if (navigator.intent) {
                    //var str = JSON.stringify({ name: '稿件原文', url: $scope.data.article.fileList.magazineTextUrl });          
                    navigator.intent.magazineRedOnline({ "file": obj.url, "type": 1 });
                }
            }

        };
        //window.alert($scope.editProcess);
        $scope.back = function() {
            $ionicHistory.goBack(-1);
        };
    })
    //


;
